/**
 * @packageDocumentation
 * @module String
 */
import { MonoTypeOperatorFunction } from 'rxjs';
/**
 * Returns an Observable that emits a string character that is at the passed position in a source string using
 * String.charAt
 *
 * @category String Query
 *
 * @param position The index of the character to return in the source string
 *
 * @example
 * Return the character at index `1`
 * ```ts
 * of('RxJS Ninja').pipe(charAt(1)).subscribe();
 * ```
 * Output: `x`
 *
 * @returns Observable that emits a string character
 */
export declare function charAt(position: number): MonoTypeOperatorFunction<string>;
